﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;
using UnityEngine;

public class MainMenuControllerClient : MonoBehaviour
{
	public GameObject SettingsMenu;
	public GameObject MainMenu;
	public GameObject HowToPlayMenu_aim;
    public GameObject HowToPlayMenu_inventory;

	//On Awake
	private void Awake ()
	{
		MainMenu.SetActive (true);
		SettingsMenu.SetActive (false);
        HowToPlayMenu_aim.SetActive (false);
        HowToPlayMenu_inventory.SetActive(false);
    }
		
	//Main Menu Options
	public void OnPlayClick ()
	{
		UnityEngine.SceneManagement.SceneManager.LoadScene ("LoginScreen");
	}

	public void OnSettingsClick ()
	{
		//toggle which menu displays
		MainMenu.SetActive (false);
		SettingsMenu.SetActive (true);
	}

	public void OnTutorialClick ()
	{
		MainMenu.SetActive (false);
        HowToPlayMenu_aim.SetActive (true);
	}

	public void OnTutorialContinueAimClick ()
	{
        HowToPlayMenu_aim.SetActive(false);
        HowToPlayMenu_inventory.SetActive(true);
    }

    public void OnTutorialContinueInventroyClick()
    {
        UnityEngine.SceneManagement.SceneManager.LoadScene("TuteLevelOne");
    }

    //Settings Menu
    public void OnBackClick ()
	{
		//Settings menu
		SettingsMenu.SetActive (false);
		MainMenu.SetActive (true);
	}

    //Settings Menu
    public void OnBacktomainmenuClick()
    {
        HowToPlayMenu_aim.SetActive(false);
        HowToPlayMenu_inventory.SetActive(false);
        MainMenu.SetActive(true);
    }

}
